Returns information about the given hash

- « password_algos

- password_hash »

- PHP Manual
- Password Hashing Functions
- Returns information about the given hash

# password_get_info

(PHP 5 >= 5.5.0, PHP 7, PHP 8)

password_get_info — Returns information about the given hash

### Description

password_get_info(string `$hash`): array

When passed in a valid hash created by an algorithm supported by password_hash(), this function will return an array of information about that hash.

### Parameters

`hash`

  A hash created by password_hash().

### Return Values

Returns an associative array with three elements:

- `algo`, which will match a password algorithm constant
- `algoName`, which has the human readable name of the algorithm
- `options`, which includes the options provided when calling password_hash()